<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="CharacterBuilderUpdater.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="CharacterBuilderUpdater.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <userSettings>
    <CharacterBuilderUpdater.Properties.Settings>
      <setting name="UserName" serializeAs="String">
        <value />
      </setting>
    </CharacterBuilderUpdater.Properties.Settings>
  </userSettings>
  <applicationSettings>
    <CharacterBuilderUpdater.Properties.Settings>
      <setting name="LaunchApplicationPath" serializeAs="String">
        <value>CharacterBuilder.exe</value>
      </setting>
      <setting name="PackageName" serializeAs="String">
        <value>CharBuilderFull</value>
      </setting>
      <setting name="EULA_URI" serializeAs="String">
        <value>http://www.wizards.com/files/EULA.rtf</value>
      </setting>
      <setting name="PatchNotes_URI" serializeAs="String">
        <value>http://www.wizards.com/files/PATCHNOTES.rtf</value>
      </setting>
      <setting name="AD_URI" serializeAs="String">
        <value>http://www.wizards.com/default.asp?x=app/app/upsell</value>
      </setting>
      <setting name="Failed_URI" serializeAs="String">
        <value>http://www.wizards.com/default.asp?x=app/app/techissues</value>
      </setting>
      <setting name="PackageURL" serializeAs="String">
        <value>http://cdn.wizards.com/g5y9u5z3/cds/ddi/cbupdate/</value>
      </setting>
      <setting name="ApplicationID" serializeAs="String">
        <value>2a1ddbc4-4503-4392-9548-d0010d1ba9b1</value>
      </setting>
      <setting name="AppName" serializeAs="String">
        <value>Character Builder</value>
      </setting>
      <setting name="InfoURL" serializeAs="String">
        <value>http://www.wizards.com/default.asp?x=dnd/app/cbinfo</value>
      </setting>
    </CharacterBuilderUpdater.Properties.Settings>
  </applicationSettings>
  <system.diagnostics>
    <sources>
      <source name="Errors" switchType="System.Diagnostics.SourceSwitch" switchName="ErrorsSwitch">
        <listeners>
          <add name="Temp" />
        </listeners>
      </source>
    </sources>
    <sharedListeners>
      <add name="Temp" type="ApplicationUpdate.Client.EnvironmentTraceListener, ApplicationUpdate.Client" initializeData="%temp%\DDI-Updater.log" />
    </sharedListeners>
    <switches>
      <add name="ErrorsSwitch" value="Error" />
    </switches>
  </system.diagnostics>
  <system.serviceModel>
    <bindings>
      <wsHttpBinding>
        <binding name="WSHttpBinding_IKeyService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
          <security mode="Transport">
            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
            <message clientCredentialType="Windows" negotiateServiceCredential="true" establishSecurityContext="true" />
          </security>
        </binding>
      </wsHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://keyservice.onlinegaming.wizards.com/KeyService/KeyService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IKeyService" contract="KeyService.IKeyService" name="WSHttpBinding_IKeyService">
        <identity>
          <dns value="localhost" />
        </identity>
      </endpoint>
    </client>
  </system.serviceModel>
</configuration>